Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.classifier
Class ScoreBasedPerformanceMeasureDefinitions.ThresholdMeasurePair

    java.lang.Object
      de.jstacs.classifier.ScoreBasedPerformanceMeasureDefinitions.ThresholdMeasurePair

Enclosing class:
  ScoreBasedPerformanceMeasureDefinitions

    public static class ScoreBasedPerformanceMeasureDefinitions.ThresholdMeasurePair

extends Object

This class is used as a container that allows to store a threshold and the result of a measure together.

Author:
  Jan Grau

Constructor Summary
`ScoreBasedPerformanceMeasureDefinitions.ThresholdMeasurePair(double threshold, double measure)` Creates a filled instance of a `ScoreBasedPerformanceMeasureDefinitions.ThresholdMeasurePair`.

Method Summary
`double` | `getMeasure()` This method returns the value of the measure.
`double` | `getThreshold()` This method returns the value of threshold.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScoreBasedPerformanceMeasureDefinitions.ThresholdMeasurePair

    public ScoreBasedPerformanceMeasureDefinitions.ThresholdMeasurePair(double threshold,
                                                                        double measure)

  Creates a filled instance of a `ScoreBasedPerformanceMeasureDefinitions.ThresholdMeasurePair`.

  Parameters:
    `threshold` - the value of the threshold
    `measure` - the value of the measure

Method Detail

### getThreshold

    public double getThreshold()

  This method returns the value of threshold.

  Returns:
    the value of threshold

### getMeasure

    public double getMeasure()

  This method returns the value of the measure.

  Returns:
    the value of the measure

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD